import { type Static } from '@sinclair/typebox';
import type { ValidationError } from './validatedFetch.js';
import { FwType } from './devices.js';
import type { FetchError } from './FetchError.js';
export declare enum FOTAJobStatus {
    CREATED = "CREATED",
    IN_PROGRESS = "IN_PROGRESS",
    CANCELLED = "CANCELLED",
    DELETION_IN_PROGRESS = "DELETION_IN_PROGRESS",
    COMPLETED = "COMPLETED",
    QUEUED = "QUEUED",
    FAILED = "FAILED",
    SUCCEEDED = "SUCCEEDED",
    TIMED_OUT = "TIMED_OUT",
    REJECTED = "REJECTED",
    DOWNLOADING = "DOWNLOADING"
}
export declare const FOTAJobType: import("@sinclair/typebox").TObject<{
    jobId: import("@sinclair/typebox").TString;
    status: import("@sinclair/typebox").TEnum<typeof FOTAJobStatus>;
    statusDetail: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    name: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    createdAt: import("@sinclair/typebox").TString;
    lastUpdatedAt: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    completedAt: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    firmware: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<{
        bundleId: import("@sinclair/typebox").TString;
        fileSize: import("@sinclair/typebox").TNumber;
        firmwareType: import("@sinclair/typebox").TEnum<typeof FwType>;
        host: import("@sinclair/typebox").TString;
        uris: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>;
        version: import("@sinclair/typebox").TString;
    }>>;
    target: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<{
        deviceIds: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>;
        tags: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>;
    }>>;
}>;
export declare const getFOTAJob: ({ apiKey, endpoint, }: {
    apiKey: string;
    endpoint: URL;
}, fetchImplementation?: typeof fetch) => ({ jobId, }: {
    jobId: string;
}) => Promise<{
    error: FetchError | ValidationError;
} | {
    result: Static<typeof FOTAJobType>;
}>;
